{
    local trainer(cuda_device, num_epochs, learning_rate, use_tensorboard) =
        std.prune({
            checkpointer: {
                type: "finishing_only_checkpointer",
            },
            type: "gradient_descent_validate_n",
            cuda_device: cuda_device,
            grad_clipping: 5.0,
            num_epochs: num_epochs,
            optimizer: {
                type: "adam",
                lr: learning_rate,
                betas: [0.9, 0.9],
            },
            patience: 1, # it will  be overwriten by callback
            callbacks: [
                { type: "transfer_patience" }
                { type: "track_epoch_callback" },
                if use_tensorboard then
                { type: "tensorboard", should_log_parameter_statistics: false},
            ],
            learning_rate_scheduler: {
                type: "combo_scheduler",
            },
            validation_metric: "+EM",
        }),
    Trainer: trainer
}